<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.quansu.heifengwuliu.widget.SearchView
            android:id="@+id/search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

        </com.quansu.heifengwuliu.widget.SearchView>



        <FrameLayout
            android:id="@+id/lay_body"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="8dp"
            android:layout_weight="1">


            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/refresh_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recycler_view"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/item_address" />

            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


            <com.quansu.heifengwuliu.view.CircleTextView
                android:id="@+id/tv_tip"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:layout_gravity="center"
                android:background="#33555555"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:visibility="gone"
                tools:visibility="visible">
            </com.quansu.heifengwuliu.view.CircleTextView>

            <com.quansu.heifengwuliu.view.SideBar
                android:id="@+id/sidebar"
                android:layout_width="15dp"
                android:layout_height="match_parent"
                android:layout_gravity="right|center_vertical"
                android:layout_marginTop="20dp"
                android:layout_marginRight="6dp"
                android:layout_marginBottom="20dp"
                android:background="#00000000"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                app:sb_tv_color="#0074e6"
                app:sb_tv_gap="5dp"
                app:sb_tv_size="15sp">
            </com.quansu.heifengwuliu.view.SideBar>


        </FrameLayout>

        <TextView
            android:id="@+id/tv_add"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#5D76F4"
            android:gravity="center"
            android:text="添加新地址"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16">

        </TextView>


    </LinearLayout>

</layout>
